
Installer - Refactor #29799

Tracker # 29746 (Closed): Merge hooks/ and katello/hooks into a single directory structure

Add --clear-pulp-content to hooks/ and scope on katello module being enabled

05/14/2020 12:27 AM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: William Clark   

Category: foreman-installer script   

Target version: 2.3.0   

Difficulty:  Fixed in Releases: 2.3.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/588,

https://github.com/theforeman/foreman-i

nstaller/pull/540

  

Description

This hooks may need updating to handle pulpcore -- ask Katello team.

Related issues:

Has duplicate Installer - Bug #29821: foreman-installer should clear pulpcore... Duplicate

Associated revisions

Revision 01f75774 - 09/04/2020 02:48 PM - William Clark

Fixes #29799 - Move --clear-pulp-content to hooks/

Revision 6df4fa47 - 10/12/2020 11:49 AM - Ewoud Kohl van Wijngaarden

Refs #29799 - Define clear mongo methods in module

3dcd45bef6f56a7af898eddf3283229f0e33d065 moved these methods to the

common context but defined them outside of the module. This means they

were not usable in the pre context. That leads some some infinite loop

until the machine is out of memory.

It also handles the case when katello::pulp_db_seeds returns nil, which

is always the case on a content proxy.

History

#1 - 07/15/2020 05:40 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to William Clark

- Pull request https://github.com/theforeman/foreman-installer/pull/540 added

#2 - 09/02/2020 06:00 PM - Ian Ballou

- Has duplicate Bug #29821: foreman-installer should clear pulpcore downloaded content added

#3 - 09/04/2020 02:48 PM - The Foreman Bot

- Fixed in Releases 2.3.0 added

#4 - 09/04/2020 03:01 PM - William Clark

- Status changed from Ready For Testing to Closed

Applied in changeset installer|01f75774caedb3eadd5034a3cda17cb6770c44ef.
https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/01f75774caedb3eadd5034a3cda17cb6770c44ef


#5 - 10/11/2020 01:15 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/588 added

#6 - 11/30/2020 05:56 PM - Ewoud Kohl van Wijngaarden

- Tracker changed from Feature to Refactor

- Category set to foreman-installer script

- Target version set to 2.3.0

- Triaged changed from No to Yes
